//Causes status effects to target
var Spell, SpellLevel, Target, Message;
Spell = argument0;
SpellLevel = argument1;
Target = argument2;
Message = '';//print out status effects
if(BattleCutsceneDialogueControler.message != ''){//if the message isnt blank, we add a new line to it
    Message = '#';
}


//Cure Poison
if(Get_Spell_Stats(Spell,SpellLevel,"CurePoison")){
    if(Target.Poisoned){
        Target.Poisoned = 0;
        Message += WordWrap(string(Target.Name)+' is no longer poisoned.#',200,'#',false);
    }
}
//Uncurse
if(Get_Spell_Stats(Spell,SpellLevel,"Uncurse")>0){
    Target.Uncurse = Get_Spell_Stats(Spell,SpellLevel,"Uncurse");
    Message += WordWrap(string(Target.Name)+"'s curse has been suppressed.#",200,'#',false);
}
//Shield spell
if(Get_Spell_Stats(Spell,SpellLevel,"Shield")>0){
    Target.Shielded = Get_Spell_Stats(Spell,SpellLevel,"Shield");
    Message += WordWrap(string(Target.Name)+" is now immune to magic.#",200,'#',false);
}
//Mana Restore
if(Get_Spell_Stats(Spell,SpellLevel,"ManaRestore")){
    Message += WordWrap(string(Target.Name)+' regains '+string(ManaRestore)+' MP.#',200,'#',false);
}
//Sleep
if((random_range(0,1) < Get_Spell_Stats(Spell,SpellLevel,"SleepChance"))&&(random_range(0,1) > Get_Battle_Stat_Total(Target,'SleepResistance'))){
    Target.IsSleeping = 1;
    Message += WordWrap(string(Target.Name)+' fell asleep.',200,'#',false);
}
//Sleep
if((random_range(0,1) < Get_Spell_Stats(Spell,SpellLevel,"SilenceChance"))&&(random_range(0,1) > Get_Battle_Stat_Total(Target,'SilenceResistance'))){
    Target.Silenced = 1;
    Message += WordWrap(string(Target.Name)+' has been silenced.',200,'#',false);
}
//Test for poison
if((random_range(0,1) < Get_Spell_Stats(Spell,SpellLevel,"PoisonChance"))&&(random_range(0,1) > Get_Battle_Stat_Total(Target,'PoisonResistance'))){
    Target.Poisoned = Get_Spell_Stats(Spell,SpellLevel,"PoisonPotency");
    Message += WordWrap(string(Target.Name)+' was poisoned.',200,'#',false);
}
//Attack Boost
if(Get_Spell_Stats(Spell,SpellLevel,"AttackBuffStrength")>0){
    Message += WordWrap(string(Target.Name)+"'s attack was boosted.#",200,'#',false);
    Target.AttackBuffStrength = Get_Spell_Stats(Spell,SpellLevel,"AttackBuffStrength");
    Target.AttackBuff = round(Target.Attack * (.12 * Target.AttackBuffStrength));
}
//Defense Boost
if(Get_Spell_Stats(Spell,SpellLevel,"DefenseBuffStrength")>0){
    Message += WordWrap(string(Target.Name)+"'s defense was boosted.#",200,'#',false);
    Target.DefenseBuffStrength = Get_Spell_Stats(Spell,SpellLevel,"DefenseBuffStrength");
    Target.DefenseBuff = round(Target.Defense * (.12 * Target.DefenseBuffStrength));
}
//Agility Boost
if(Get_Spell_Stats(Spell,SpellLevel,"AgilityBuffStrength")>0){
    Message += WordWrap(string(Target.Name)+"'s agility was boosted.#",200,'#',false);
    Target.AgilityBuffStrength = Get_Spell_Stats(Spell,SpellLevel,"AgilityBuffStrength");
    Target.AgilityBuff = round(Target.Agility * (.12 * Target.AgilityBuffStrength));
}
//Weaken
if(Get_Spell_Stats(Spell,SpellLevel,"AttackDebuffStrength")>0){
    Message += WordWrap(string(Target.Name)+"'s attack was lowered.#",200,'#',false);
    Target.AttackDebuffStrength = Get_Spell_Stats(Spell,SpellLevel,"AttackDebuffStrength");
    Target.AttackDebuff = round(Target.Attack * (.12 * Target.AttackDebuffStrength));
}
//Mollify
if(Get_Spell_Stats(Spell,SpellLevel,"DefenseDebuffStrength")>0){
    Message += WordWrap(string(Target.Name)+"'s defense was lowered.#",200,'#',false);
    Target.DefenseDebuffStrength = Get_Spell_Stats(Spell,SpellLevel,"DefenseDebuffStrength");
    Target.DefenseDebuff = round(Target.Defense * (.12 * Target.DefenseDebuffStrength));
}
//Slow
if(Get_Spell_Stats(Spell,SpellLevel,"AgilityDebuffStrength")>0){
    Message += WordWrap(string(Target.Name)+"'s agility was lowered.#",200,'#',false);
    Target.AgilityDebuffStrength = Get_Spell_Stats(Spell,SpellLevel,"AgilityDebuffStrength");
    Target.AgilityDebuff = round(Target.Agility * (.12 * Target.AgilityDebuffStrength));
}
//Muddle
if((random_range(0,1) < Get_Spell_Stats(Spell,SpellLevel,"MuddleChance"))&&(random_range(0,1) > Get_Battle_Stat_Total(Target,'MuddleResistance'))){
    Target.HitChanceDebuffStrength = Get_Spell_Stats(Spell,SpellLevel,"HitChanceDebuffStrength");
    Target.HitChanceDebuff = 3;//lasts for 3 turns
    if(Get_Spell_Stats(Spell,SpellLevel,"Confusion")){
        Target.IsConfused = true;
    }
    Message += WordWrap(string(Target.Name)+' is clouded by a thick fog.#',200,'#',false);
}
if(Message = ''){//if the message is empty (This is only the case if no damage was dealt or healed. ie, detox, muddle, ect)
    Message += WordWrap('But nothing happens...',200,'#',false);
}
if(string_char_at(Message,string_length(Message)) = '#'){//in case there's a leftover # at the end.
    Message = string_delete(Message,string_length(Message),1);
}

return Message;



