//Cutscene 3 town meeting
var Jason, Max, HistorianMinas, NPC1, NPC2;//set up characters for easy selection
Jason = PlayerTownObject;
with(FollowerCharacterObject){
    if(ID = 2){
        Max = self.id;
    }
}
with(GenericNPCObject){
    if(ID = 200){
        HistorianMinas = self.id;
    }
    else if(ID = 202){
        NPC1 = self.id;
    }
    else if(ID = 201){
        NPC2 = self.id;
    }
}

switch (State){

    case 0:
        State += 5;
        PlayerTownObject.CutsceneMode = true;
        PlayerTownObject.AllowInteraction = false;//disable the player's motor skills. 
        PlayerTownObject.direction = 0;//can also use face direction script
        with(FollowerCharacterObject){
            CutsceneMode = true;
            MovementScriptID = -1;//dont call cutscene script initially
            image_speed = .0625;
        }
        //instance_create(0,0,CutsceneCamera);
        instance_create(984,576,CameraTargetObject);
        //CutsceneCamera.CameraPathfinding = true;
        MainControler.CameraPathfinding = true;
        MainControler.CameraTarget = CameraTargetObject;
        MainControler.SnapOverride = true;
        //MainControler.CameraSpeed = 2;
        //view_object[0] = CameraTargetObject;
        //view_hspeed = 1;
        //view_vspeed = 1;
        //view_hborder[0] = 116;
        //view_vborder[0] = 116;
    break;
    
    case 4:
        State += 1;
        Shudder(NPC1);
    break;

    case 5:
        State += 1;
        CreateDialogueBasic(0,0,string(WordWrap("But we've always been able to rebuild after such disasters in the past.^ What makes this situation different?",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 6:
        State += 2;
        PanOutDialogueBasic();
    break;
    
    /*case 7:
        State += 1;
        HistorianMinas.direction = 180;
        NodHead(HistorianMinas);
    break;*/
    
    case 8:
        State += 1;
        HistorianMinas.direction = 180;
        CreateDialogueBasic(200,0,string(WordWrap("There are two types of magical energy in this world,^ positive and negative.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue7Sound;
    break;
    
    case 9:
        State += 1;
        AppendDialogueBasic(string(WordWrap("#Magical energy flows through everything,^ feeding it with life.",200,'#',false)),true);
    break;
    
    case 10:
        State += 1;
        AppendDialogueBasic(string(WordWrap("#Over time,^ life changes based on the type and potency of magical energy around it.",200,'#',false)),true);
    break;
    
    
    case 11:
        State += 1;
        HistorianMinas.direction = 270;
        StartNewDialogueBasic(string(WordWrap("Most of you are too young to remember the Doomskull War.",200,'#',false)),true);
    break;
    
    case 12:
        State += 1;
        HistorianMinas.direction = 270;
        AppendDialogueBasic(string(WordWrap("#Before that war,^ the marshlands between Merillan City and Aviemore did not exist.",200,'#',false)),true);
    break;
    
    case 13:
        State += 1;
        HistorianMinas.direction = 270;
        AppendDialogueBasic(string(WordWrap("#During the war,^ it was exposed to higher amounts of negative magical energy,^ and,^ over time,^ the once vast plains devolved into the swamp that we know today. ",200,'#',false)),true);
    break;
    
    case 14:
        State += 1;
        HistorianMinas.direction = 270;
        StartNewDialogueBasic(string(WordWrap("This situation is different because not only were the demons letting off vast amounts of negative energy,^ the conflict was spread throughout the entire continent as well.",200,'#',false)),true);
    break;
    
    case 15:
        State += 1;
        HistorianMinas.direction = 270;
        AppendDialogueBasic(string(WordWrap("#Our crops are already beginning to wither,^ and within the next two months,^ our food supplies will completely run dry.",200,'#',false)),true);
    break;
    
    case 16:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 17:
        State += 1;
        CreateDialogueBasic(0,0,string(WordWrap("What do you suggest we do?",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 18:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 19:
        State += 1;
        CreateDialogueBasic(200,0,string(WordWrap("We only have one option.^ We need to move to another continent.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue7Sound;
    break;
    
    case 20:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 21:
        State += 1;
        Shudder(NPC2);
    break;
    
    case 22:
        State += 1;
        NPC2.MovementScriptID = 0;
        MoveCharacter(NPC2,'Up',1,4.8);//walk him up 1 tile
    break;
    
    case 23:
        State += 1;
        CreateDialogueBasic(0,0,string(WordWrap("Are you serious?^ We haven't even explored the other continents!^ How do we even know if it's safe?",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 24:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 25:
        State += 1;
        NodHead(HistorianMinas);
    break;
    
    case 26:
        State += 1;
        CreateDialogueBasic(200,0,string(WordWrap("It is true that we haven't explored the other continents,^ but we do know they are out there.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue7Sound;
    break;
    
    case 27:
        State += 1;
        AppendDialogueBasic(string(WordWrap("#As far as safety is concerned,^ you are correct,^ we don't know if it's safe or not.",200,'#',false)),true);
    break;
    
    case 28:
        State += 1;
        AppendDialogueBasic(string(WordWrap("#Instead of taking everyone at once,^ I'll take a small team to explore the continent to the east and find a place suitable for a settlement.",200,'#',false)),true);
    break;
    
    case 29:
        State += 1;
        AppendDialogueBasic(string(WordWrap("#After that,^ we'll return for the rest of you.",200,'#',false)),true);
    break;
    
    case 30:
        State += 1;
        StartNewDialogueBasic(string(WordWrap("Does anyone want to volunteer for this mission?",200,'#',false)),true);
    break;
    
    case 31:
        State = 40;
        PanOutDialogueBasic();
    break;
    
    
    
   //max shoves jason 
    
    case 40:
        State += 1;
        MainControler.CameraPathfinding = true;
        MainControler.CameraTarget = Jason;
    break;
    
    case 41:
        State += 1;
        Max.MovementScriptID = 0;//call global cutscene
        Shudder(Max);
    break;
    
    case 42:
        State += 1;
        MoveCharacter(Max,'Right',1,4.8);//walk him right 1 tile
    break;
    
    case 43:
        //play crash
        sound_play(HitSound);
        State += 1;
        with(Jason){
            image_speed = 0;
        }
        MoveCharacter(Jason,'Right',3,4.8);//walk him right 1 tile
    break;
    
    case 44:
        sound_play(BlazeFireStartSound);
        State += 1;
        Jason.Rotation = 270;
        alarm[0] = 30;
    break;
    
    case 45:
        State += 1;
        CreateDialogueBasic(1,0,string(WordWrap("Ow...",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 46:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 47:
        State += 1;
        MoveCharacter(Max,'Right',2,2.4);//walk him right 1 tile
    break;
    
    case 48:
        State += 1;
        with(Max){
            direction = 90;
            sprite_index = LosMaxUp;
        }
        Shudder(Max);
    break;
    
    case 49:
        State += 1;
        CreateDialogueBasic(2,0,string(WordWrap("We'll do it!",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 50:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 51:
        State += 1;
        Jason.Rotation = 0;
        Jason.direction = 90;
        Jason.image_speed = .0625;
        ShakeHead(Jason);
    break;
    
    case 52:
        State += 1;
        CreateDialogueBasic(200,0,string(WordWrap("Ah excelent!",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue7Sound;
    break;
    
    case 53:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 54:
        State += 1;
        Jason.direction = 180;
        CreateDialogueBasic(1,0,string(WordWrap("Max... What did you just get me into?",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 55:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 56:
        State += 1;
        Max.direction = 0;
        CreateDialogueBasic(2,0,string(WordWrap("Probably a very thrilling adventure!",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 57:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 58:
        State += 1;
        Max.direction = 90;
        Jason.direction = 90;
        CreateDialogueBasic(200,0,string(WordWrap("Listen up you two.^ I'm going to go and make preparations for our journey.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue7Sound;
    break;
    
    case 59:
        State += 1;
        AppendDialogueBasic(string(WordWrap("#In the meantime,^ there's a pack of wolves in the forest to the north.",200,'#',false)),true);
    break;
    
    case 60:
        State += 1;
        AppendDialogueBasic(string(WordWrap("#They shouldn't be a problem,^ but perhaps you might want to warm up for the challenges ahead.",200,'#',false)),true);
    break;
    
    case 61:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 62:
        State += 1;
        CreateDialogueBasic(2,0,string(WordWrap("Sure thing Sarge!",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 63:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 64:
        State += 1;
        CreateDialogueBasic(1,0,string(WordWrap("We might as well.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 65:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 66:
        State += 1;
        CreateDialogueBasic(200,0,string(WordWrap("Alright.^ I'll meet you down by the docks when you're finished.^ Good luck.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue7Sound;
    break;
    
    case 67:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 68:
        State += 1;
        CreateScreenFade(c_black,0,2,.02,'out',self.id);
    break;
    
    case 69:
        State += 1;
        global.StoryState += 1;//should equal 3
        global.TransitionState = 'EndTownMeetingCutscene';
        room_restart();
    break;
}
