//Default Chest Loot Script
var Chest,ContainerMessage,Empty,Item,Gold;
Chest = argument0;
ContainerMessage = " opens the chest.";//default chest search message
Empty = true;//default chests are empty
Item = 0;//default 'no item'
Gold = 0;//default 'no gold'


//===============
//Container Info=
//===============
switch(Chest.ID){
    case 0: ContainerMessage = " opens the chest."; Empty = false; Item = 14; Gold = 0; break;//Moorinfirch, (Medical Herb)
    case 1: ContainerMessage = " opens the chest."; Empty = false; Item = 13; Gold = 0; break;//Moorinfirch cave, (Carving Knife)
    case 2: ContainerMessage = " opens the chest."; Empty = false; Item = 14; Gold = 0; break;//Moorinfirch cave, (Medical Herb)
    //case 3: //locked chest script
    case 4: ContainerMessage = " searches the barrel."; Empty = false; Item = 8; Gold = 0; break;//Battle 2, (Raw Meat)
    //case 5: //Well script.
    case 6: ContainerMessage = " searches the barrel."; Empty = false; Item = 0; Gold = 30; break;
    case 7: ContainerMessage = " searches the barrel."; Empty = false; Item = 20; Gold = 0; break;
    case 8: ContainerMessage = " opens the chest."; Empty = true; Item = 0; Gold = 0; break;//Empty Valdy chest
    
    
    
    
    case 100: ContainerMessage = " opens the chest."; Empty = false; Item = 25; Gold = 0; break;//Light of Hope (Christmas Battle)
    case 101: ContainerMessage = " opens the chest."; Empty = false; Item = 26; Gold = 0; break;//Healing Rain (Christmas Battle)
    default: ContainerMessage = " opens the chest."; Empty = true; Item = 0; Gold = 0; break;//default empty chest
}

//================
//Town Chest Code=
//================
if(global.RoomType = 'Town'){
    if(Chest.DialogueState = 0){
        image_index = 1;//open chest
        CreateDialogueBasic(0,0,WordWrap(string(global.Name[1]) + ContainerMessage,200,'#',false),Chest,true);
        DialogueControler.Voice = noone;
        Chest.DialogueState += 1;
    }
    else if(Chest.DialogueState = 1){
        PanOutDialogueBasic();
        Chest.DialogueState += 1;
    }
    //pause and loot animation goes here
    else if(Chest.DialogueState = 2){
        Chest.DialogueState += 1;
        if(Empty){
            Chest.Looted = true;
            if(!Respawnable){
                global.ChestLooted[ID] = 1;//Mark as looted 
            }
            CreateDialogueBasic(0,0,WordWrap("Unfortunately it was empty!",200,'#',false),Chest,true);
            DialogueControler.Voice = noone;
        }
        else if(Gold != 0){//looting gold
            global.Gold += Gold;
            Chest.Looted = true;
            if(!Respawnable){
                global.ChestLooted[ID] = 1;//Mark as looted 
            }
            CreateDialogueBasic(0,0,WordWrap(string(global.Name[1])+ " recieves " + string(Gold) + " gold!",200,'#',false),Chest,true);
            DialogueControler.Voice = noone;
        }
        else{//looting an item
            var i, j;
            i = 1;
            j = 1;
            while(i <= global.ForceMembers){
                if(global.In_Force[j]){//if they are in the force,
                    if(global.Items[j,4] = 0){
                        Give_Item_Town(j,Item);
                        CreateDialogueBasic(0,0,WordWrap(string(global.Name[j]) + " recieves the " + string(Get_Item_Stats(Item,'Name')) + "!",200,'#',false),Chest,true);
                        DialogueControler.Voice = noone;
                        Chest.Looted = true;
                        if(!Respawnable){
                            global.ChestLooted[ID] = 1;//Mark as looted 
                        }
                        break;
                    }
                    i += 1;
                }
                j += 1;
            }
            if(i > global.ForceMembers){//didnt give item to a player so... display "nobody can hold it" message
                CreateDialogueBasic(0,0,WordWrap("But no one can hold it!",200,'#',false),self.id,true);
                DialogueControler.Voice = noone;
            }
        }
    }
    else if(Chest.DialogueState = 3){
        PanOutDialogueBasic();
        if(!Chest.Looted){
            image_index = 0;
        }
        Chest.DialogueState += 1;
    }
    else if(Chest.DialogueState = 4){
        Chest.DialogueState = 0;
        PlayerTownObject.AllowInteraction = true;
    }
}

//==================
//Battle Chest Code=
//==================
else if(global.RoomType = 'Battle'){
    var CurrentCharacter;
    CurrentCharacter = Cursor.TurnOrder[Cursor.CurrentTurn];
    
    if(Chest.DialogueState = 0){
        image_index = 1;//open chest
        CreateDialogueBasic(0,0,WordWrap(string(CurrentCharacter.Name)+ ContainerMessage,200,'#',false),Chest,true);
        DialogueControler.Voice = noone;
        Chest.DialogueState += 1;
    }
    else if(Chest.DialogueState = 1){
        PanOutDialogueBasic();
        Chest.DialogueState += 1;
    }
    //pause and loot animation goes here
    else if(Chest.DialogueState = 2){
        Chest.DialogueState += 1;
        if(Empty){
            Chest.Looted = true;
            if(!Respawnable){
                global.ChestLooted[ID] = 1;//Mark as looted 
            }
            CreateDialogueBasic(0,0,WordWrap("Unfortunately it was empty!",200,'#',false),Chest,true);
            DialogueControler.Voice = noone;
        }
        else if(Gold != 0){//looting gold
            global.Gold += Gold;
            Chest.Looted = true;
            if(!Respawnable){
                global.ChestLooted[ID] = 1;//Mark as looted 
            }
            CreateDialogueBasic(0,0,WordWrap(string(CurrentCharacter.Name)+ " recieves " + string(Gold) + " gold!",200,'#',false),Chest,true);
            DialogueControler.Voice = noone;
        }
        else{//looting an item
            if(CurrentCharacter.Items[4] = 0){//if open inv space
                Give_Item_Battle(CurrentCharacter,Item);//give item to player
                CreateDialogueBasic(0,0,WordWrap(string(CurrentCharacter.Name) + " recieves the " + string(Get_Item_Stats(Item,'Name')) + "!",200,'#',false),Chest,true);
                DialogueControler.Voice = noone;
                Chest.Looted = true;
                if(!Respawnable){
                    global.ChestLooted[ID] = 1;//Mark as looted 
                }
            }
            else{//didnt give item to a player so... display "nobody can hold it" message
                CreateDialogueBasic(0,0,WordWrap("But is unable to hold it!",200,'#',false),self.id,true);
                DialogueControler.Voice = noone;
            }
        }
    }
    else if(Chest.DialogueState = 3){
        PanOutDialogueBasic();
        if(!Chest.Looted){
            image_index = 0;
        }
        Chest.DialogueState += 1;
    }
    else if(Chest.DialogueState = 4){
        Chest.DialogueState = 0;
        CurrentCharacter.direction = 270; //Have the character face down
        CurrentCharacter.image_index = BattleControler.image_index; //keeps every character marching in sync
        
        with(BattleControler){
            State = 'Stay';
            LEPanDirection = 'out';
            sound_play(MenuPanSound);
        }
    }
}
