/*
with cells
if reachable
find attack range
loop through cursor list and check for character with the highest priority
set new highest (store tile)


return the tile to pathfind to


eventually test for spell targets
for now just pick best single target

*/


var Character, MaxThreat, Tile, SpellSlot, SpellLevel, ThreatType, AIDone, MinThreat;
Character = argument0;
SpellSlot = argument1;
SpellLevel = argument2;
ThreatType = argument3;
MinThreat = argument4
AIDone = argument5;
MaxThreat = -1;
Tile = noone;

if(!AIDone){
    if(Character.Spells[SpellSlot] != 'none'){
        if(Get_Spell_Stats(Character.Spells[SpellSlot],SpellLevel,'ManaCost') < Character.Magic){//if has enough mana
            with(objCell){
                if(Reachable){
                    //find attack range
                    if((instance_position(x,y,objGuy) = noone)||((x = Character.x)&&(y = Character.y))){//If the tile is empty or if occupied by current character
                        if(Character.IsConfused){
                            FindAttackRange(self.id,Get_Spell_Stats(Character.Spells[SpellSlot],SpellLevel,'SpellRange'),Get_Spell_Stats(Character.Spells[SpellSlot],SpellLevel,'SpellLimit'),Character.Faction,'Confused','Attack');
                        }
                        else{
                            FindAttackRange(self.id,Get_Spell_Stats(Character.Spells[SpellSlot],SpellLevel,'SpellRange'),Get_Spell_Stats(Character.Spells[SpellSlot],SpellLevel,'SpellLimit'),Character.Faction,Get_Spell_Stats(Character.Spells[SpellSlot],SpellLevel,'SelectType'),'Attack');
                        }
                        //show_message(Cursor.NumberOfTargets);
                        if(Cursor.NumberOfTargets > 0){
                            //loop through targets and figure out which is the best target
                            var Index, Threat;
                            Index = 0;
                            while(Index < Cursor.NumberOfTargets){
                                if(Get_Spell_Stats(Character.Spells[SpellSlot],SpellLevel,'TargetType')= 'Allies'){//if targeting an ally
                                    Threat = CalculateHealPriority(Character,self.id,Character.Spells[SpellSlot],SpellLevel,instance_position(Cursor.AttackList[Index].x,Cursor.AttackList[Index].y,objCell));
                                }
                                else{//otherwise use combat threat calculator
                                    Threat = CalculateMagicThreat(Character,self.id,Character.Spells[SpellSlot],SpellLevel,instance_position(Cursor.AttackList[Index].x,Cursor.AttackList[Index].y,objCell));
                                }
                                if(Threat > MaxThreat){
                                    MaxThreat = Threat;
                                    Tile = self.id;
                                }
                                Index += 1;
                            }
                        }
                    }
                }
            }
            if((MaxThreat <= MinThreat)&&(Get_Spell_Stats(Character.Spells[SpellSlot],SpellLevel,'TargetType')= 'Allies')){//if the most banged up character isnt more than x% hurt, dont bother healing.
                return false;
            }
            else if(Tile != noone){//if we have targets
                Character.CurrentTarget = Tile;
                Character.Action = string(Get_Spell_Stats(Character.Spells[SpellSlot],SpellLevel,'SpellType')+'Magic');
                Character.SpellSlot = SpellSlot;
                Character.SpellCastLevel = SpellLevel;
                AI_MoveToPoint(Character, Tile);
                return true;
            }
            else{//no targets
                return false;
            }
        }
        else{//not enough mana
            return false;
        }
    }
    else{//no spell in this slot (failsafe for spellcaster and non spell caster running same AI)
        return false;
    }
}
return true;
