//argument 0 = x
//argument 1 = y
//argument 2 = PlayerType

var Character, LandType, Tile;
Character = argument0;

Tile = instance_position(Character.x,Character.y,objCell);
LandType = Tile.TerrainType;

switch(global.BattleBackgroundSet){
    case 'Forrest': Sprite = ForrestBackgroundSprite; break;
    case 'Ship': Sprite = ShipBackgroundSprite; break;
    case 'AncientShrine': Sprite = RuinsBackgroundSprite; break;
    
    default:
        switch(LandType){
            case 'water': Sprite = WaterBackgroundSprite; break;
            case 'open': Sprite = PlainsBackgroundSprite; break;
            case 'plains': Sprite = PlainsBackgroundSprite; break;
            case 'forest': Sprite = ForrestBackgroundSprite; break;
            case 'hills': Sprite = HillsBackgroundSprite; break;
            case 'wall': Sprite = SkyBackgroundSprite; break;
            case 'overgrowth': Sprite = OvergrowthBackgroundSprite; break;
            case 'sand': Sprite = SandBackgroundSprite; break;
            case 'mountains': Sprite = SkyBackgroundSprite; break;
        }
}

return Sprite;
