var LevelScheme,ReturnStat;
var BaseHP,BaseMP,BaseAttack,BaseDefense,BaseAgility;
var EarlyHp,EarlyMP,EarlyAttack,EarlyDefense,EarlyAgility;
var MidHp,MidMP,MidAttack,MidDefense,MidAgility;
var LateHp,LateMP,LateAttack,LateDefense,LateAgility;

LevelScheme = argument0;
ReturnStat = argument1;

BaseHP = 0;
BaseMP = 0;
BaseAttack = 0;
BaseDefense = 0;
BaseAgility = 0;

EarlyHP = 0;
MidHP = 0;
LateHP = 0;
EarlyMP = 0;
MidMP = 0;
LateMP = 0;
EarlyAttack = 0;
MidAttack = 0;
LateAttack = 0;
EarlyDefense = 0;
MidDefense = 0;
LateDefense = 0;
EarlyAgility = 0;
MidAgility = 0;
LateAgility = 0;

switch(LevelScheme){
    case 1:
        BaseHP = 12;
        BaseMP = 8;
        BaseAttack = 8;
        BaseDefense = 4;
        BaseAgility = 4;
        
        EarlyHP = 1.1;
        MidHP = 1.1;
        LateHP = 1.1;
        EarlyMP = .5;
        MidMP = .5;
        LateMP = .5;
        EarlyAttack = 1.1;
        MidAttack = 1.1;
        LateAttack = 1.1;
        EarlyDefense = .9;
        MidDefense = .9;
        LateDefense = .9;
        EarlyAgility = .7;
        MidAgility = .7;
        LateAgility = .7;
    break;
    case 2:
        BaseHP = 12;
        BaseMP = 0;
        BaseAttack = 8;
        BaseDefense = 5;
        BaseAgility = 6;
        
        EarlyHP = .9;
        MidHP = .9;
        LateHP = .9;
        EarlyMP = 0;
        MidMP = 0;
        LateMP = 0;
        EarlyAttack = 1;
        MidAttack = 1;
        LateAttack = 1;
        EarlyDefense = .8;
        MidDefense = .8;
        LateDefense = .8;
        EarlyAgility = .8;
        MidAgility = .8;
        LateAgility = .8;
    break;
    case 3:
        BaseHP = 11;
        BaseMP = 10;
        BaseAttack = 9;
        BaseDefense = 5;
        BaseAgility = 5;
        
        EarlyHP = 1;
        MidHP = 1;
        LateHP = 1;
        EarlyMP = 1.7;
        MidMP = 1;
        LateMP = .6;
        EarlyAttack = .7;
        MidAttack = .7;
        LateAttack = .7;
        EarlyDefense = .7;
        MidDefense = .7;
        LateDefense = .7;
        EarlyAgility = .9;
        MidAgility = .9;
        LateAgility = .9;
    break;
    case 4:
        BaseHP = 8;
        BaseMP = 0;
        BaseAttack = 6;
        BaseDefense = 6;
        BaseAgility = 6;
        
        EarlyHP = 1.2;
        MidHP = 1.2;
        LateHP = 1.2;
        EarlyMP = 0;
        MidMP = 0;
        LateMP = 0;
        EarlyAttack = 1.4;
        MidAttack = 1.4;
        LateAttack = 1.4;
        EarlyDefense = 1.1;
        MidDefense = 1.1;
        LateDefense = 1.1;
        EarlyAgility = 1.1;
        MidAgility = 1.1;
        LateAgility = 1.1;
    break;
    case 5:
        BaseHP = 11;
        BaseMP = 7;
        BaseAttack = 5;
        BaseDefense = 4;
        BaseAgility = 8;
        
        EarlyHP = .8;
        MidHP = .8;
        LateHP = .8;
        EarlyMP = 1.6;
        MidMP = 1.6;
        LateMP = 1.6;
        EarlyAttack = .5;
        MidAttack = .5;
        LateAttack = .5;
        EarlyDefense = .7;
        MidDefense = .7;
        LateDefense = .7;
        EarlyAgility = 1.2;
        MidAgility = 1.2;
        LateAgility = 1.2;
    break;
    case 6:
        BaseHP = 11;
        BaseMP = 0;
        BaseAttack = 7;
        BaseDefense = 5;
        BaseAgility = 7;
        
        EarlyHP = 1.6;
        MidHP = 1.6;
        LateHP = 1.6;
        EarlyMP = 0;
        MidMP = 0;
        LateMP = 0;
        EarlyAttack = 1;
        MidAttack = 1;
        LateAttack = 1;
        EarlyDefense = 1;
        MidDefense = 1;
        LateDefense = 1;
        EarlyAgility = .9;
        MidAgility = .9;
        LateAgility = .9;
    break;
}

switch(ReturnStat){
    case 'BaseHP': return BaseHP; break;
    case 'BaseMP': return BaseMP; break;
    case 'BaseAttack': return BaseAttack; break;
    case 'BaseDefense': return BaseDefense; break;
    case 'BaseAgility': return BaseAgility; break;
    case 'EarlyHP': return EarlyHP; break;
    case 'MidHP': return MidHP; break;
    case 'LateHP': return LateHP; break;
    case 'EarlyMP': return EarlyMP; break;
    case 'MidMP': return MidMP; break;
    case 'LateMP': return LateMP; break;
    case 'EarlyAttack': return EarlyAttack; break;
    case 'MidAttack': return MidAttack; break;
    case 'LateAttack': return LateAttack; break;
    case 'EarlyDefense': return EarlyDefense; break;
    case 'MidDefense': return MidDefense; break;
    case 'LateDefense': return LateDefense; break;
    case 'EarlyAgility': return EarlyAgility; break;
    case 'MidAgility': return MidAgility; break;
    case 'LateAgility': return LateAgility; break;
}






