//LevelScheme = global.LevelScheme[Character.ID];

var Character, Message, LevelScheme;
var HPGain, MPGain, AttackGain, DefenseGain, AgilityGain;

Character = argument0;
LevelScheme = Character.ID;//change later to scheme

AttackGain = 0;
DefenseGain = 0;
AgilityGain = 0;
HPGain = 0;
MPGain = 0;

//Level
Character.Level += 1;

if(global.CarryOverXP){
    Character.Experience -= 100;
}
else{
    Character.Experience = 0;
}
Message = string('#' + Character.Name + ' is now level ' + string(Character.Level));

AttackGain = GetStatGain(GetLevelStats(LevelScheme,'BaseAttack'),Character.Attack,GetLevelStats(LevelScheme,'EarlyAttack'),GetLevelStats(LevelScheme,'MidAttack'),GetLevelStats(LevelScheme,'LateAttack'),Character.Level);//Base,current,early,mid,late,level
DefenseGain = GetStatGain(GetLevelStats(LevelScheme,'BaseDefense'),Character.Defense,GetLevelStats(LevelScheme,'EarlyDefense'),GetLevelStats(LevelScheme,'MidDefense'),GetLevelStats(LevelScheme,'LateDefense'),Character.Level);//Base,current,early,mid,late,level
AgilityGain = GetStatGain(GetLevelStats(LevelScheme,'BaseAgility'),Character.Agility,GetLevelStats(LevelScheme,'EarlyAgility'),GetLevelStats(LevelScheme,'MidAgility'),GetLevelStats(LevelScheme,'LateAgility'),Character.Level);//Base,current,early,mid,late,level
HPGain = GetStatGain(GetLevelStats(LevelScheme,'BaseHP'),Character.MaxHealth,GetLevelStats(LevelScheme,'EarlyHP'),GetLevelStats(LevelScheme,'MidHP'),GetLevelStats(LevelScheme,'LateHP'),Character.Level);//Base,current,early,mid,late,level
MPGain = GetStatGain(GetLevelStats(LevelScheme,'BaseMP'),Character.MaxMagic,GetLevelStats(LevelScheme,'EarlyMP'),GetLevelStats(LevelScheme,'MidMP'),GetLevelStats(LevelScheme,'LateMP'),Character.Level);//Base,current,early,mid,late,level

//Update Stats
Character.Attack += AttackGain;
Character.Defense += DefenseGain;
Character.Agility += AgilityGain;
Character.MaxHealth += HPGain;
Character.MaxMagic += MPGain;

if(global.UsableHPMP){
    Character.Health += HPGain;
    Character.Magic += MPGain;
}


if(AttackGain > 0){
    Message += string('^#Attack increased by ' + string(AttackGain));
}
if(DefenseGain > 0){
    Message += string('^#Defense increased by ' + string(DefenseGain));
}
if(AgilityGain > 0){
    Message += string('^#Agility increased by ' + string(AgilityGain));
}
if(HPGain > 0){
    Message += string('^#Maximum HP increased by ' + string(HPGain));
}
if(MPGain > 0){
    Message += string('^#Maximum MP increased by ' + string(MPGain));
}
//+ spell gains here
//Can also toss resistances, double, counder, block chances in here too.
Message += GetLevelUpSpells(Character,LevelScheme);

//ending trigger
Message += '^@';

return Message;





