//The function that takes care of saving the entire game

ini_open("SyroGS"+string(global.SaveSlot)+".ini");

//ini_write_string(section, key, value);
ini_write_real('Global', 'Gold', global.Gold);
ini_write_real('Global', 'StoryState', global.StoryState);
ini_write_real('Global', 'ForceMembers', global.ForceMembers);
ini_write_real('Global', 'BattlePartyNumber', global.BattlePartyNumber);
ini_write_real('Global', 'Jamie', global.Jamie);
ini_write_real('Global', 'EgressRoom', global.EgressRoom);
ini_write_string('Global', 'Difficulty', global.Difficulty);//Difficulty


ini_write_real('Global', 'LastSaveRoom', room);

var i; //Used so you dont have to replace 50+ array values every time you make a new character.
i = 1;

for(i = 0; i <= global.NumberOfChests; i += 1){//loop through all chests
    ini_write_real('Chest'+string(i), 'Looted', global.ChestLooted[i]);//Looted
}

ini_write_real('Global', 'TrainNumber', global.TrainNumber);// number of people in train
for(i = 1; i <= global.TrainNumber; i += 1){//loop through all people in the train
    ini_write_real('TrainMember'+string(i), 'ID', global.TrainMembers[i]);//train position and id
}

ini_write_real('Global', 'NumberOfDealItems', global.NumberOfDealItems);// number of items we sold to deals
for(i = 0; i < global.NumberOfDealItems; i+=1){
    ini_write_real('Deals'+string(i), 'Item', global.Deals[i]);//Deal Item
}

for(i = 1; i <= global.TotalCharacters; i += 1){//loop through all force members
    ini_write_real('Character'+string(i), 'ID', global.ID[i]);//ID
    ini_write_string('Character'+string(i), 'Name', global.Name[i]);//Name
    ini_write_string('Character'+string(i), 'Class', global.Class[i]);//Class
    ini_write_real('Character'+string(i), 'Level', global.Level[i]);//Level
    ini_write_real('Character'+string(i), 'Experience', global.Experience[i]);//Experience
    ini_write_real('Character'+string(i), 'Health', global.Health[i]);//Health
    ini_write_real('Character'+string(i), 'MaxHealth', global.MaxHealth[i]);//Maxhealth
    ini_write_real('Character'+string(i), 'Magic', global.Magic[i]);//magic
    ini_write_real('Character'+string(i), 'MaxMagic', global.MaxMagic[i]);//maxmagic
    ini_write_real('Character'+string(i), 'Attack', global.Attack[i]);//attack
    ini_write_real('Character'+string(i), 'Defense', global.Defense[i]);//defense
    ini_write_real('Character'+string(i), 'Agility', global.Agility[i]);//agility
    ini_write_real('Character'+string(i), 'MoveRange', global.MoveRange[i]);//move range
    ini_write_real('Character'+string(i), 'AttackRange', global.AttackRange[i]);//attack range
    ini_write_real('Character'+string(i), 'AttackLimit', global.AttackLimit[i]);//attack limit
    ini_write_string('Character'+string(i), 'MovementType', global.MovementType[i]);//move type
    ini_write_real('Character'+string(i), 'In_Force', global.In_Force[i]);//In_Force
    ini_write_real('Character'+string(i), 'In_Battle_Party', global.In_Battle_Party[i]);//In_Battle_Party
    ini_write_real('Character'+string(i), 'Promoted', global.Promoted[i]);//Promoted
    ini_write_real('Character'+string(i), 'Kills', global.Kills[i]);//Kills
    ini_write_real('Character'+string(i), 'Defeats', global.Defeats[i]);//Defeats
    ini_write_real('Character'+string(i), 'Turns', global.Turns[i]);//Turns
    ini_write_real('Character'+string(i), 'AttackArea', global.AttackArea[i]);//AttackArea
    ini_write_real('Character'+string(i), 'LevelScheme', global.LevelScheme[i]);//LevelScheme
    ini_write_string('Character'+string(i), 'Spell1', global.Spells[i,1]);//Spell1
    ini_write_string('Character'+string(i), 'Spell2', global.Spells[i,2]);//Spell2
    ini_write_string('Character'+string(i), 'Spell3', global.Spells[i,3]);//Spell3
    ini_write_string('Character'+string(i), 'Spell4', global.Spells[i,4]);//Spell4
    ini_write_real('Character'+string(i), 'Spell1Level', global.SpellLevel[i,1]);//Spell1Level
    ini_write_real('Character'+string(i), 'Spell2Level', global.SpellLevel[i,2]);//Spell1Level
    ini_write_real('Character'+string(i), 'Spell3Level', global.SpellLevel[i,3]);//Spell1Level
    ini_write_real('Character'+string(i), 'Spell4Level', global.SpellLevel[i,4]);//Spell1Level
    ini_write_real('Character'+string(i), 'Item1', global.Items[i,1]);//Item1
    ini_write_real('Character'+string(i), 'Item2', global.Items[i,2]);//Item2
    ini_write_real('Character'+string(i), 'Item3', global.Items[i,3]);//Item3
    ini_write_real('Character'+string(i), 'Item4', global.Items[i,4]);//Item4
    ini_write_real('Character'+string(i), 'EquippedWeapon', global.Equipped_Weapon[i]);//EquippedWeapon
    ini_write_real('Character'+string(i), 'EquippedItem', global.Equipped_Item[i]);//EquippedItem
    
    ini_write_real('Character'+string(i), 'IsDead', global.IsDead[i]);//IsDead
    ini_write_real('Character'+string(i), 'HitChance', global.HitChance[i]);
    ini_write_real('Character'+string(i), 'CounterChance', global.CounterChance[i]);//CounterChance
    ini_write_real('Character'+string(i), 'DoubleChance', global.DoubleChance[i]);//DoubleChance
    ini_write_real('Character'+string(i), 'CritChance', global.CritChance[i]);//CritChance
    ini_write_real('Character'+string(i), 'MagicCritChance', global.MagicCritChance[i]);//MagicCritChance
    ini_write_real('Character'+string(i), 'BlockChance', global.BlockChance[i]);//BlockChance
    ini_write_real('Character'+string(i), 'PoisonResistance', global.PoisonResistance[i]);//PoisonResistance
    ini_write_real('Character'+string(i), 'PoisonChance', global.PoisonChance[i]);//PoisonChance
    ini_write_real('Character'+string(i), 'Poisoned', global.Poisoned[i]);//Poisoned
    ini_write_real('Character'+string(i), 'Cursed', global.Cursed[i]);//Cursed
    ini_write_real('Character'+string(i), 'SleepResistance', global.SleepResistance[i]);//SleepResistance
    ini_write_real('Character'+string(i), 'SleepChance', global.SleepChance[i]);//SleepChance
    ini_write_real('Character'+string(i), 'IsSleeping', global.IsSleeping[i]);//Is Sleeping
    ini_write_real('Character'+string(i), 'SilenceChance', global.SilenceChance[i]);//Silence chance
    ini_write_real('Character'+string(i), 'Silenced', global.Silenced[i]);//Is silenced
    
    ini_write_real('Character'+string(i), 'FireDamage', global.FireDamage[i]);
    ini_write_real('Character'+string(i), 'IceDamage', global.IceDamage[i]);
    ini_write_real('Character'+string(i), 'WindDamage', global.WindDamage[i]);
    ini_write_real('Character'+string(i), 'EarthDamage', global.EarthDamage[i]);
    ini_write_real('Character'+string(i), 'LightningDamage', global.LightningDamage[i]);
    ini_write_real('Character'+string(i), 'LightDamage', global.LightDamage[i]);
    ini_write_real('Character'+string(i), 'DarknessDamage', global.DarknessDamage[i]);
    ini_write_real('Character'+string(i), 'VoidDamage', global.VoidDamage[i]);
    
    ini_write_real('Character'+string(i), 'FireResistance', global.FireResistance[i]);
    ini_write_real('Character'+string(i), 'IceResistance', global.IceResistance[i]);
    ini_write_real('Character'+string(i), 'WindResistance', global.WindResistance[i]);
    ini_write_real('Character'+string(i), 'EarthResistance', global.EarthResistance[i]);
    ini_write_real('Character'+string(i), 'LightningResistance', global.LightningResistance[i]);
    ini_write_real('Character'+string(i), 'LightResistance', global.LightResistance[i]);
    ini_write_real('Character'+string(i), 'DarknessResistance', global.DarknessResistance[i]);
    
    ini_write_real('Character'+string(i), 'MagicRegeneration', global.MagicRegeneration[i]);
    ini_write_real('Character'+string(i), 'HealthRegeneration', global.HealthRegeneration[i]);
    
    ini_write_real('Character'+string(i), 'HealthBoost', global.HealthBoost[i]);
    ini_write_real('Character'+string(i), 'MagicBoost', global.MagicBoost[i]);
    ini_write_real('Character'+string(i), 'AttackBoost', global.AttackBoost[i]);
    ini_write_real('Character'+string(i), 'DefenseBoost', global.DefenseBoost[i]);
    ini_write_real('Character'+string(i), 'AgilityBoost', global.AgilityBoost[i]);
    ini_write_real('Character'+string(i), 'MoveRangeBoost', global.MoveRangeBoost[i]);
    
    ini_write_real('Character'+string(i), 'SpriteID', global.SpriteID[i]);
    
    
}


ini_close();






















