//kicking people out of battle party
switch(DialogueState){
    case 0:
        DialogueState += 1;
        if(global.BattlePartyNumber = global.ForceMembers){//display "everyone already in party"
            DialogueState = 11;
            CreateDialogueBasic(200,0,WordWrap("Everyone is already in your battle party!",200,'#',false),self.id,true);
        }
        else if(global.BattlePartyNumber >= global.MaxBattlePartySize){
            DialogueState = 11;
            CreateDialogueBasic(200,0,WordWrap("Your battle party is full!^ Choose a relief first.",200,'#',false),self.id,true);
        }
        else{//we have a potential substitute
            CreateDialogueBasic(200,0,WordWrap("Who joins the battle party?",200,'#',false),self.id,true);
        }
        visible = false;
        DialogueControler.Voice = Voice;
        DialogueControler.Portrait = Portrait;
    break;
    
    case 1:
        DialogueState += 1;
        PanOutDialogueBasic();
    break;
    
    case 2:
        DialogueState += 1;
        instance_create(0,0,MemberListControler);
        MemberListControler.PanDirection = 'in';
        MemberListControler.CurrentObject = self.id;
        MemberListControler.Event = 'Join';
        MemberListControler.State = 'SelectingJoinTarget';
        with(MemberListControler){//only show battle party members
            event_perform(ev_other,ev_user1);
        }
        sound_play(MenuPanSound);
    break;
    
    case 10://cancel remove party member
        DialogueState += 1;
        CreateDialogueBasic(200,0,WordWrap("Did you change your mind?",200,'#',false),self.id,true);
        DialogueControler.Voice = Voice;
        DialogueControler.Portrait = Portrait;
    break;
    
    case 11:
        DialogueState += 1;
        PanOutDialogueBasic();
    break;
    
    //back to menu
    case 12:
        DialogueState += 1;
        visible = true;
        PanDirection = 'left';
    break;
    
    case 100://selected target to remove from battle party
        if(Target != 1){//perhaps add a (must be in battle party variable?)
            DialogueState += 1;
            CreateDialogueBasic(200,0,WordWrap(string(global.Name[Target]) + ", fight bravely on the front lines.",200,'#',false),self.id,true);
            global.BattlePartyNumber += 1;
            global.In_Battle_Party[Target] = true;
            DialogueControler.Voice = Voice;
            DialogueControler.Portrait = Portrait;
        }
        else{
            DialogueState += 1;
            CreateDialogueBasic(200,0,WordWrap(string(global.Name[Target]) + "! What will they do without you!?",200,'#',false),self.id,true);
            //global.BattlePartyNumber -= 1;
            //global.In_Battle_Party[Target] = false;
            DialogueControler.Voice = Voice;
            DialogueControler.Portrait = Portrait;
        }
    break;
    
    case 101:
        DialogueState += 1;
        PanOutDialogueBasic();
    break;
    
    case 102:
        DialogueState = 0;
        event_perform(ev_other,ev_user15);
    break;
    
}


