var PreviousCharacter, CurrentCharacter, i;

//create the first character in the chain
if(global.TrainNumber >= 1){
    PreviousCharacter = instance_create(PlayerTownObject.x,PlayerTownObject.y,FollowerCharacterObject);//create follower on same tile as the player
    PreviousCharacter.ID = global.TrainMembers[1];//set ID to this target
    
    if(PreviousCharacter.ID > global.TotalCharacters){//test for NPC or force member
        PreviousCharacter.SpriteID = PreviousCharacter.ID//set sprite ID
    }
    else{//force member
        PreviousCharacter.SpriteID = global.SpriteID[PreviousCharacter.ID];//set sprite ID
    }
    PreviousCharacter.Position = 1;//position in the chain (for setting correct depth)
    PreviousCharacter.ObjectFollowing = PlayerTownObject;
    PreviousCharacter.direction = PlayerTownObject.direction;
    PreviousCharacter.depth = -50 + PreviousCharacter.Position; //set depth to their position in the chain. -50 is the layer the player is on. 
}
//loop through and create the rest.
for(i = 2; i <= global.TrainNumber; i+= 1){
    CurrentCharacter = instance_create(PlayerTownObject.x,PlayerTownObject.y,FollowerCharacterObject);
    CurrentCharacter.ID = global.TrainMembers[i];
    if(CurrentCharacter.ID > global.TotalCharacters){//test for NPC or force member
        CurrentCharacter.SpriteID = CurrentCharacter.ID//set sprite ID
    }
    else{//force member
        CurrentCharacter.SpriteID = global.SpriteID[CurrentCharacter.ID];//set sprite ID
    }
    //CurrentCharacter.SpriteID = global.SpriteID[CurrentCharacter.ID];//set sprite ID
    CurrentCharacter.Position = i;
    CurrentCharacter.ObjectFollowing = PreviousCharacter;
    CurrentCharacter.direction = PlayerTownObject.direction;
    CurrentCharacter.depth = -50 + CurrentCharacter.Position; //set depth to their position in the chain. -50 is the layer the player is on. 
    PreviousCharacter = CurrentCharacter;
}


//+===============
//Fixes the chain after a cutscene (Possibly adding more characters to it)
/*
var Character,Target;
Character = argument0;

if(global.TrainNumber = 0){//if we are the first follower, follow the player
    Target = PlayerTownObject;
}
else{//else, follow the last guy in line
    with(FollowerCharacterObject){
        if(ID = global.TrainMembers[global.TrainNumber]){
            Target = id;
        }
    }
}

global.TrainNumber += 1;
global.TrainMembers[global.TrainNumber] = Character.ID;

Character.ObjectFollowing = Target;
Character.Position = global.TrainNumber;
Character.depth = -50 + Character.Position;
