//This script deals with all the global game settings

//========
//Controls
//========
global.LeftButton = vk_left;
global.RightButton = vk_right;
global.UpButton = vk_up;
global.DownButton = vk_down;

global.SelectButton = ord('Z');
global.BackButton = ord('X');

//=================
//GameMode Settings
//=================
global.LegacyStatusEffect = false;
global.PermaDeath = false;//can rez characters
global.GameSpeed = 4;
global.CarryOverXP = true;
global.UsableHPMP = false;
global.ChallengeMode = false;
global.Difficulty = 'Normal';

//===============
//Utility Globals
//===============
global.ExpModifier = 1;//This directly effects the Z value. 1=normal gains, .5 = half exp, 2 = double, ect
global.xViewOffset = 0;//for room transitions
global.yViewOffset = 0;//for room transitions
global.TransitionOffset = 0;//for room transitions
global.MaxPathfindDistance = 150;//Maximum distance units will attempt to pathfind, can probably remove this
global.TileSize = 24;//Tile size.
global.RoundNumber = 0;//what round is it in battle
global.RoofState = 'On';//Roof Display
global.HiddenUnits[0] = noone;//Array to store hidden units
global.NumberOfHiddenUnits = 0;//Hidden Unit Counter

//===========
//Cheat Codes
//===========
global.ControlAllUnits = false;
