//===================================
//=Did we kill the boss on battle 1?=
//===================================
if(room = BattleRoom01){//battle 1
    if(ID = 1001){//test for alpha wolf
        global.VictoryFlag = true;
    }
}
if(room = BattleRoom06){//battle 6
    if(ID = 1012){//test for rock golem
        global.VictoryFlag = true;
    }
}

//=====================
//Death Event Triggers=
//=====================
if(room = ChristmasBattle){
    if(ID = 1001){//Alpha Wolf
        var TempArray,TempIndex;
        TempIndex = 0;
        TempArray[0] = noone;
        
        //Hidden Units reveal themselves
        var i;
        i = 0;//loop through hidden unit list and see who needs to be activated
        
        for(i = 0; i < global.NumberOfHiddenUnits; i+=1){
            if(global.HiddenUnits[i].RevealID = 2){
                global.HiddenUnits[i].RevealTriggered = true;
            }
            if(CanReveal(global.HiddenUnits[i])){//if we can reveal this character, (Can also test ID, SubID, and RevealID and manually enable RevealTriggered)
                instance_activate_object(global.HiddenUnits[i]);//activate object
                AddToTurnList(global.HiddenUnits[i],'Beginning'); //add to the turn order (Can Be Beginning, End, and Random)
            }
            else{//re-create the hidden list using only those NOT currently revealing themselves.
                TempArray[TempIndex] = global.HiddenUnits[i];
                TempIndex += 1;
            }
        }
        i = 0;
        //Copy temp array over to the Hidden List
        global.NumberOfHiddenUnits = TempIndex;
        for(i = 0; i<TempIndex; i+=1){
            global.HiddenUnits[i] = TempArray[i];
        }
    }
    if(ID = 1003){//Alpha Wolf
        var TempArray,TempIndex;
        TempIndex = 0;
        TempArray[0] = noone;
        
        //Hidden Units reveal themselves
        var i;
        i = 0;//loop through hidden unit list and see who needs to be activated
        
        for(i = 0; i < global.NumberOfHiddenUnits; i+=1){
            if(global.HiddenUnits[i].RevealID = 3){
                global.HiddenUnits[i].RevealTriggered = true;
            }
            if(CanReveal(global.HiddenUnits[i])){//if we can reveal this character, (Can also test ID, SubID, and RevealID and manually enable RevealTriggered)
                instance_activate_object(global.HiddenUnits[i]);//activate object
                AddToTurnList(global.HiddenUnits[i],'Beginning'); //add to the turn order (Can Be Beginning, End, and Random)
            }
            else{//re-create the hidden list using only those NOT currently revealing themselves.
                TempArray[TempIndex] = global.HiddenUnits[i];
                TempIndex += 1;
            }
        }
        i = 0;
        //Copy temp array over to the Hidden List
        global.NumberOfHiddenUnits = TempIndex;
        for(i = 0; i<TempIndex; i+=1){
            global.HiddenUnits[i] = TempArray[i];
        }
    }
    if(SubID = 3){//Alpha Wolf
        var TempArray,TempIndex;
        TempIndex = 0;
        TempArray[0] = noone;
        
        //Hidden Units reveal themselves
        var i;
        i = 0;//loop through hidden unit list and see who needs to be activated
        
        for(i = 0; i < global.NumberOfHiddenUnits; i+=1){
            if(global.HiddenUnits[i].RevealID = 4){
                global.HiddenUnits[i].RevealTriggered = true;
            }
            if(CanReveal(global.HiddenUnits[i])){//if we can reveal this character, (Can also test ID, SubID, and RevealID and manually enable RevealTriggered)
                instance_activate_object(global.HiddenUnits[i]);//activate object
                AddToTurnList(global.HiddenUnits[i],'Beginning'); //add to the turn order (Can Be Beginning, End, and Random)
            }
            else{//re-create the hidden list using only those NOT currently revealing themselves.
                TempArray[TempIndex] = global.HiddenUnits[i];
                TempIndex += 1;
            }
        }
        i = 0;
        //Copy temp array over to the Hidden List
        global.NumberOfHiddenUnits = TempIndex;
        for(i = 0; i<TempIndex; i+=1){
            global.HiddenUnits[i] = TempArray[i];
        }
    }
    if(SubID = 4){//Alpha Wolf
        var TempArray,TempIndex;
        TempIndex = 0;
        TempArray[0] = noone;
        
        //Hidden Units reveal themselves
        var i;
        i = 0;//loop through hidden unit list and see who needs to be activated
        
        for(i = 0; i < global.NumberOfHiddenUnits; i+=1){
            if(global.HiddenUnits[i].RevealID = 5){
                global.HiddenUnits[i].RevealTriggered = true;
            }
            if(CanReveal(global.HiddenUnits[i])){//if we can reveal this character, (Can also test ID, SubID, and RevealID and manually enable RevealTriggered)
                instance_activate_object(global.HiddenUnits[i]);//activate object
                AddToTurnList(global.HiddenUnits[i],'Beginning'); //add to the turn order (Can Be Beginning, End, and Random)
            }
            else{//re-create the hidden list using only those NOT currently revealing themselves.
                TempArray[TempIndex] = global.HiddenUnits[i];
                TempIndex += 1;
            }
        }
        i = 0;
        //Copy temp array over to the Hidden List
        global.NumberOfHiddenUnits = TempIndex;
        for(i = 0; i<TempIndex; i+=1){
            global.HiddenUnits[i] = TempArray[i];
        }
    }
    if(SubID = 5){//Alpha Wolf
        var TempArray,TempIndex;
        TempIndex = 0;
        TempArray[0] = noone;
        
        //Hidden Units reveal themselves
        var i;
        i = 0;//loop through hidden unit list and see who needs to be activated
        
        for(i = 0; i < global.NumberOfHiddenUnits; i+=1){
            if(global.HiddenUnits[i].RevealID = 6){
                global.HiddenUnits[i].RevealTriggered = true;
            }
            if(CanReveal(global.HiddenUnits[i])){//if we can reveal this character, (Can also test ID, SubID, and RevealID and manually enable RevealTriggered)
                instance_activate_object(global.HiddenUnits[i]);//activate object
                AddToTurnList(global.HiddenUnits[i],'Beginning'); //add to the turn order (Can Be Beginning, End, and Random)
            }
            else{//re-create the hidden list using only those NOT currently revealing themselves.
                TempArray[TempIndex] = global.HiddenUnits[i];
                TempIndex += 1;
            }
        }
        i = 0;
        //Copy temp array over to the Hidden List
        global.NumberOfHiddenUnits = TempIndex;
        for(i = 0; i<TempIndex; i+=1){
            global.HiddenUnits[i] = TempArray[i];
        }
    }
    if(ID = 1012){//test for rock golem
        global.VictoryFlag = true;
    }
}
//===============================================
//Test for the defeated character having summons=
//===============================================
var Character;
Character = id;
with(objSummon){
    if((Master = Character)&&(DieOnMasterDeath)){
        BattleControler.Deaths += 1;
        alarm[3] = 1;
    }
}
//================================
//=Test For Defeating All Enemies=
//================================
var RemainingTargets;
RemainingTargets = 0;
with(objGuy){//loop through all characters
    if(CheckFactionTarget('Player', self.id, 'Enemies')){//if they are an enemy of the player, add to the list
        RemainingTargets += 1;
    }
}
if(RemainingTargets = 1 && CheckFactionTarget('Player', self.id, 'Enemies')){//did we kill the last guy? (1 target remaining and the dying mob is enemy of the player)
    global.VictoryFlag = true;
}
