var Character, LandType, Tile;
Character = argument0;

Tile = instance_position(Character.x,Character.y,objCell);
LandType = Tile.TerrainType;

//Returns the frame of the foreground sprite based on terrain and battle
switch(global.BattleBackgroundSet){
    case 'Forrest': return 0; break;
    case 'Ship': return 5; break;
    case 'AncientShrine': return 7; break;
    
    default:
        switch(LandType){
            case 'water': return 4; break;
            case 'open': return 0; break;
            case 'plains': return 0; break;
            case 'forest': return 0; break;
            case 'hills': return 2; break;
            case 'wall': return 6; break;
            case 'overgrowth': return 1; break;
            case 'sand': return 3; break;
            case 'mountains': return 6; break;
        }
}

return 6;
