//determines what AI script to call based on what battle we're on
var Character;
Character = argument0;
global.CursorPathfinding = false;

if(Character.IsConfused){//Muddle confusion script
    MuddleAIScript(Character);
}
else{
    switch(room){
        case BattleRoom01: switch (global.Difficulty){
            case 'Normal': Battle_AI_Script01(Character); break;
        }break;
        case BattleRoom02: switch (global.Difficulty){
            case 'Normal': Battle_AI_Script02(Character); break;
        }break;
        case BattleRoom03: switch (global.Difficulty){
            case 'Normal': Battle_AI_Script03(Character); break;
        }break;
        case BattleRoom04: switch (global.Difficulty){
            case 'Normal': Battle_AI_Script04(Character); break;
        }break;
        case BattleRoom05: switch (global.Difficulty){
            case 'Normal': Battle_AI_Script05(Character); break;
        }break;
        case BattleRoom06: switch (global.Difficulty){
            case 'Normal': Battle_AI_Script06(Character); break;
        }break;
        
        //Temp / Demo Stuff
        case DebugBattleRoom: switch (global.Difficulty){
            case 'Normal': FactionsDebugAI(Character); break;
        }break;
        case ChristmasBattle: switch (global.Difficulty){
            case 'Normal': ChristmasDemoAI(Character); break;
        }break;
        
        //if no room is set, default to 'do nothing' so the game doesnt break
        default: AI_DoNothing(Character,false); break;
    }
}
