//The function that takes care of saving the entire game
ini_open("SyroGS"+string(global.SaveSlot)+".ini");

//ini_read_string(section, key, default value);
global.Gold = ini_read_real('Global', 'Gold', global.Gold);
global.StoryState = ini_read_real('Global', 'StoryState', global.StoryState);
global.ForceMembers = ini_read_real('Global', 'ForceMembers', global.ForceMembers);
global.BattlePartyNumber = ini_read_real('Global', 'BattlePartyNumber', global.BattlePartyNumber);
global.Jamie = ini_read_real('Global', 'Jamie', global.Jamie);
global.EgressRoom =ini_read_real('Global', 'EgressRoom', global.EgressRoom);
global.LastSaveRoom = ini_read_real('Global', 'LastSaveRoom', 0);

global.Difficulty = ini_read_string('Global', 'Difficulty', global.Difficulty);//Name

var i; //Used so you dont have to replace 50+ array values every time you make a new character.
i = 1;

for(i = 0; i <= global.NumberOfChests; i += 1){//loop through all chests
    global.ChestLooted[i] = ini_read_real('Chest'+string(i), 'Looted', global.ChestLooted[i]);//Looted
}

global.TrainNumber = ini_read_real('Global', 'TrainNumber', global.TrainNumber);// number of people in train
for(i = 1; i <= global.TrainNumber; i += 1){//loop through all people in the train
    global.TrainMembers[i] = ini_read_real('TrainMember'+string(i), 'ID', 0);//train position and id
}

global.NumberOfDealItems = ini_read_real('Global', 'NumberOfDealItems', global.NumberOfDealItems);// number of items sold to deals
for(i = 0; i <= global.NumberOfDealItems; i += 1){//loop through all items sold to deals
    global.Deals[i] = ini_read_real('Deals'+string(i), 'Item', 0);//deal item
}

for(i = 1; i <= global.TotalCharacters; i += 1){//loop through all force members
    global.ID[i] = ini_read_real('Character'+string(i), 'ID', global.ID[i]);//ID
    global.Name[i] = ini_read_string('Character'+string(i), 'Name', global.Name[i]);//Name
    global.Class[i] = ini_read_string('Character'+string(i), 'Class', global.Class[i]);//Class
    global.Level[i] = ini_read_real('Character'+string(i), 'Level', global.Level[i]);//Level
    global.Experience[i] = ini_read_real('Character'+string(i), 'Experience', global.Experience[i]);//Experience
    global.Health[i] = ini_read_real('Character'+string(i), 'Health', global.Health[i]);//Health
    global.MaxHealth[i] = ini_read_real('Character'+string(i), 'MaxHealth', global.MaxHealth[i]);//Maxhealth
    global.Magic[i] = ini_read_real('Character'+string(i), 'Magic', global.Magic[i]);//magic
    global.MaxMagic[i] = ini_read_real('Character'+string(i), 'MaxMagic', global.MaxMagic[i]);//maxmagic
    global.Attack[i] = ini_read_real('Character'+string(i), 'Attack', global.Attack[i]);//attack
    global.Defense[i] = ini_read_real('Character'+string(i), 'Defense', global.Defense[i]);//defense
    global.Agility[i] = ini_read_real('Character'+string(i), 'Agility', global.Agility[i]);//agility
    global.MoveRange[i] = ini_read_real('Character'+string(i), 'MoveRange', global.MoveRange[i]);//move range
    global.AttackRange[i] = ini_read_real('Character'+string(i), 'AttackRange', global.AttackRange[i]);//attack range
    global.AttackLimit[i] = ini_read_real('Character'+string(i), 'AttackLimit', global.AttackLimit[i]);//attack limit
    global.MovementType[i] = ini_read_string('Character'+string(i), 'MovementType', global.MovementType[i]);//move type
    global.In_Force[i] = ini_read_real('Character'+string(i), 'In_Force', global.In_Force[i]);//In_Force
    global.In_Battle_Party[i] = ini_read_real('Character'+string(i), 'In_Battle_Party', global.In_Battle_Party[i]);//In_Battle_Party
    global.Promoted[i] = ini_read_real('Character'+string(i), 'Promoted', global.Promoted[i]);//Promoted
    global.Kills[i] = ini_read_real('Character'+string(i), 'Kills', global.Kills[i]);//Kills
    global.Defeats[i] = ini_read_real('Character'+string(i), 'Defeats', global.Defeats[i]);//Defeats
    global.Turns[i] = ini_read_real('Character'+string(i), 'Turns', global.Turns[i]);//Turns
    global.AttackArea[i] = ini_read_real('Character'+string(i), 'AttackArea', global.AttackArea[i]);//AttackArea
    global.LevelScheme[i] = ini_read_real('Character'+string(i), 'LevelScheme', global.LevelScheme[i]);//LevelScheme
    global.Spells[i,1] = ini_read_string('Character'+string(i), 'Spell1', global.Spells[i,1]);//Spell1
    global.Spells[i,2] = ini_read_string('Character'+string(i), 'Spell2', global.Spells[i,2]);//Spell2
    global.Spells[i,3] = ini_read_string('Character'+string(i), 'Spell3', global.Spells[i,3]);//Spell3
    global.Spells[i,4] = ini_read_string('Character'+string(i), 'Spell4', global.Spells[i,4]);//Spell4
    global.SpellLevel[i,1] = ini_read_real('Character'+string(i), 'Spell1Level', global.SpellLevel[i,1]);//Spell1Level
    global.SpellLevel[i,2] = ini_read_real('Character'+string(i), 'Spell2Level', global.SpellLevel[i,2]);//Spell1Level
    global.SpellLevel[i,3] = ini_read_real('Character'+string(i), 'Spell3Level', global.SpellLevel[i,3]);//Spell1Level
    global.SpellLevel[i,4] = ini_read_real('Character'+string(i), 'Spell4Level', global.SpellLevel[i,4]);//Spell1Level
    global.Items[i,1] = ini_read_real('Character'+string(i), 'Item1', global.Items[i,1]);//Item1
    global.Items[i,2] = ini_read_real('Character'+string(i), 'Item2', global.Items[i,2]);//Item2
    global.Items[i,3] = ini_read_real('Character'+string(i), 'Item3', global.Items[i,3]);//Item3
    global.Items[i,4] = ini_read_real('Character'+string(i), 'Item4', global.Items[i,4]);//Item4
    global.Equipped_Weapon[i] = ini_read_real('Character'+string(i), 'EquippedWeapon', global.Equipped_Weapon[i]);//EquippedWeapon
    global.Equipped_Item[i] = ini_read_real('Character'+string(i), 'EquippedItem', global.Equipped_Item[i]);//EquippedItem
    
    global.IsDead[i] = ini_read_real('Character'+string(i), 'IsDead', global.IsDead[i]);//IsDead
    global.HitChance[i] = ini_read_real('Character'+string(i), 'HitChance', global.HitChance[i]);
    global.CounterChance[i] = ini_read_real('Character'+string(i), 'CounterChance', global.CounterChance[i]);//CounterChance
    global.DoubleChance[i] = ini_read_real('Character'+string(i), 'DoubleChance', global.DoubleChance[i]);//DoubleChance
    global.CritChance[i] = ini_read_real('Character'+string(i), 'CritChance', global.CritChance[i]);//CritChance
    global.MagicCritChance[i] = ini_read_real('Character'+string(i), 'MagicCritChance', global.MagicCritChance[i]);//MagicCritChance
    global.BlockChance[i] = ini_read_real('Character'+string(i), 'BlockChance', global.BlockChance[i]);//BlockChance
    global.PoisonResistance[i] = ini_read_real('Character'+string(i), 'PoisonResistance', global.PoisonResistance[i]);//PoisonResistance
    global.PoisonChance[i] = ini_read_real('Character'+string(i), 'PoisonChance', global.PoisonChance[i]);//PoisonChance
    global.Poisoned[i] = ini_read_real('Character'+string(i), 'Poisoned', global.Poisoned[i]);//Poisoned
    global.Cursed[i] = ini_read_real('Character'+string(i), 'Cursed', global.Cursed[i]);//Cursed
    
    global.SleepResistance[i] = ini_read_real('Character'+string(i), 'SleepResistance', global.SleepResistance[i]);//SleepResistance
    global.SleepChance[i] = ini_read_real('Character'+string(i), 'SleepChance', global.SleepChance[i]);//SleepChance
    global.IsSleeping[i] = ini_read_real('Character'+string(i), 'IsSleeping', global.IsSleeping[i]);//IsSleeping
    
    global.FireDamage[i] = ini_read_real('Character'+string(i), 'FireDamage', global.FireDamage[i]);
    global.IceDamage[i] = ini_read_real('Character'+string(i), 'IceDamage', global.IceDamage[i]);
    global.EarthDamage[i] = ini_read_real('Character'+string(i), 'EarthDamage', global.EarthDamage[i]);
    global.WindDamage[i] = ini_read_real('Character'+string(i), 'WindDamage', global.WindDamage[i]);
    global.LightningDamage[i] = ini_read_real('Character'+string(i), 'LightningDamage', global.LightningDamage[i]);
    global.LightDamage[i] = ini_read_real('Character'+string(i), 'LightDamage', global.LightDamage[i]);
    global.DarknessDamage[i] = ini_read_real('Character'+string(i), 'DarknessDamage', global.DarknessDamage[i]);
    global.VoidDamage[i] = ini_read_real('Character'+string(i), 'VoidDamage', global.VoidDamage[i]);
    
    global.FireResistance[i] = ini_read_real('Character'+string(i), 'FireResistance', global.FireResistance[i]);
    global.IceResistance[i] = ini_read_real('Character'+string(i), 'IceResistance', global.IceResistance[i]);
    global.EarthResistance[i] = ini_read_real('Character'+string(i), 'EarthResistance', global.EarthResistance[i]);
    global.WindResistance[i] = ini_read_real('Character'+string(i), 'WindResistance', global.WindResistance[i]);
    global.LightningResistance[i] = ini_read_real('Character'+string(i), 'LightningResistance', global.LightningResistance[i]);
    global.LightResistance[i] = ini_read_real('Character'+string(i), 'LightResistance', global.LightResistance[i]);
    global.DarknessResistance[i] = ini_read_real('Character'+string(i), 'DarknessResistance', global.DarknessResistance[i]);
    
    global.MagicRegeneration[i] = ini_read_real('Character'+string(i), 'MagicRegeneration', global.MagicRegeneration[i]);
    global.HealthRegeneration[i] = ini_read_real('Character'+string(i), 'HealthRegeneration', global.HealthRegeneration[i]);
    
    global.HealthBoost[i] = ini_read_real('Character'+string(i), 'HealthBoost', global.HealthBoost[i]);
    global.MagicBoost[i] = ini_read_real('Character'+string(i), 'MagicBoost', global.MagicBoost[i]);
    global.AttackBoost[i] = ini_read_real('Character'+string(i), 'AttackBoost', global.AttackBoost[i]);
    global.DefenseBoost[i] = ini_read_real('Character'+string(i), 'DefenseBoost', global.DefenseBoost[i]);
    global.AgilityBoost[i] = ini_read_real('Character'+string(i), 'AgilityBoost', global.AgilityBoost[i]);
    global.MoveRangeBoost[i] = ini_read_real('Character'+string(i), 'MoveRangeBoost', global.MoveRangeBoost[i]);
    
    global.SpriteID[i] = ini_read_real('Character'+string(i), 'SpriteID', global.SpriteID[i]);
    
}



ini_close();

















